=== debian/changelog ===
emacsql (3.0.0+ds-2) unstable; urgency=medium

  * Source-only upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 26 Jul 2020 14:35:56 -0700

emacsql (3.0.0+ds-1) unstable; urgency=medium

  * Initial release (Closes: #962688).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 27 Jun 2020 13:04:14 -0700
