=== debian/changelog ===
emacsql (3.1.1+ds-1) unstable; urgency=medium

  * Adopt the package from Sean Whitton.
  * Bump debhelper compat to 13.
  * Bump Standards version to 4.5.1 (no changes required).
  * Add optional Rules-Requires-Root field to d/control to respect policy.
  * Update to new upstream version 3.1.1+ds.
  * Update d/watch to match new upstream repo.
  * Add disambiguation to d/control short descriptions.
  * Update d/copyright to match new upstream repo, correct typo.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 31 Oct 2022 22:45:34 +0100
