=== debian/control ===
Source: emacsql
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
Build-Depends: debhelper-compat (= 13),
 dh-elpa,
 libsqlite3-dev,
 elpa-pg <!nocheck>,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacsql
Vcs-Git: https://salsa.debian.org/emacsen-team/emacsql.git
Homepage: https://github.com/skeeto/emacsql
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no

Package: elpa-emacsql
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: high level SQL database frontend for Emacs (abstractions)
 EmacSQL is a high level Emacs Lisp frontend for SQLite
 (primarily), PostgreSQL, MySQL, and potentially other SQL
 databases.
 .
 This package contains the high level abstractions.

Package: elpa-emacsql-sqlite
Architecture: any
Depends: ${elpa:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: high level SQL database frontend for Emacs (SQLite backend)
 EmacSQL is a high level Emacs Lisp frontend for SQLite
 (primarily), PostgreSQL, MySQL, and potentially other SQL
 databases.
 .
 This package contains the SQLite backend.

Package: elpa-emacsql-psql
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}, elpa-pg
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: high level SQL database frontend for Emacs (PostgreSQL backend)
 EmacSQL is a high level Emacs Lisp frontend for SQLite
 (primarily), PostgreSQL, MySQL, and potentially other SQL
 databases.
 .
 This package contains the PostgreSQL backend.

Package: elpa-emacsql-mysql
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: high level SQL database frontend for Emacs (MySQL backend)
 EmacSQL is a high level Emacs Lisp frontend for SQLite
 (primarily), PostgreSQL, MySQL, and potentially other SQL
 databases.
 .
 This package contains the MySQL backend.
