## emacsql 3.1.1+git20230417.6401226+ds

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,16 @@
 -include .config.mk
-
-# Clone the dependencies of this package in sibling directories:
-#     $ git clone https://github.com/emarsden/pg-el ../pg
-#
-# Or set LOAD_PATH to point at these packages elsewhere:
-#     $ make LOAD_PATH='-L path/to/pg'
 
 PKG = emacsql
 
 ELS   = $(PKG)-compiler.el
 ELS  += $(PKG).el
+ELS  += $(PKG)-sqlite-common.el
+ELS  += $(PKG)-sqlite-builtin.el
+ELS  += $(PKG)-sqlite-module.el
+ELS  += $(PKG)-sqlite.el
 ELS  += $(PKG)-mysql.el
+ELS  += $(PKG)-psql.el
 ELS  += $(PKG)-pg.el
-ELS  += $(PKG)-psql.el
-ELS  += $(PKG)-sqlite.el
 ELCS  = $(ELS:.el=.elc)
 
 TEST_ELS  = tests/emacsql-compiler-tests.el
@@ -22,9 +19,16 @@
 TEST_ELCS = $(TEST_ELS:.el=.elc)
 
 DEPS  = pg
+DEPS += sqlite3
 
 EMACS      ?= emacs
+
+ifeq ($(CI), true)
+# Workaround for bug#58252 on Emacs 28.x.
+override EMACS_ARGS += --eval "(setq byte-compile-docstring-max-column 120)"
+else
 EMACS_ARGS ?=
+endif
 
 LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
 LOAD_PATH  += -L .
@@ -45,7 +49,7 @@
 sqlite/emacsql-sqlite:
 	$(MAKE) -C sqlite
 
-lisp: $(ELCS) loaddefs check-declare
+lisp: $(ELCS) loaddefs
 
 loaddefs: $(PKG)-autoloads.el
 
@@ -77,10 +81,35 @@
       (coding-system-for-write 'utf-8-emacs-unix))\
   (write-region (autoload-rubric file \"package\" nil) nil file nil 'silent)\
   (cl-letf (((symbol-function 'progress-reporter-do-update) (lambda (&rest _)))\
-            ((symbol-function 'progress-reporter-done) (lambda (_))))\
+	    ((symbol-function 'progress-reporter-done) (lambda (_))))\
     (let ((generated-autoload-file file))\
-      (update-directory-autoloads default-directory))))"
+      (update-directory-autoloads default-directory))))" \
+	2>&1 | sed "/^Package autoload is deprecated$$/d"
 
 test: all $(TEST_ELCS)
 	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
-	-L tests -l tests/emacsql-tests.elc -f ert-run-tests-batch
+	-L tests -l tests/emacsql-tests.elc -f ert-run-tests-batch-and-exit
+
+ifeq ($(CI), true)
+override GITSTATS = gitstats/gitstats
+endif
+GITSTATS      ?= gitstats
+GITSTATS_DIR  ?= stats
+GITSTATS_ARGS ?= -c style=https://magit.vc/assets/stats.css -c max_authors=999
+
+DOMAIN      ?= magit.vc
+CFRONT_DIST ?= E2LUHBKU1FBV02
+S3_BUCKET   ?= s3://$(DOMAIN)
+
+.PHONY: stats
+stats:
+	@printf "Generating statistics\n"
+	@$(GITSTATS) $(GITSTATS_ARGS) . $(GITSTATS_DIR)
+
+stats-upload:
+	@printf "Uploading statistics...\n"
+	@aws s3 sync $(GITSTATS_DIR) $(S3_BUCKET)/stats/$(PKG)
+	@printf "Uploaded to $(S3_BUCKET)/stats/$(PKG)\n"
+	@printf "Generating CDN invalidation\n"
+	@aws cloudfront create-invalidation \
+	--distribution-id $(CFRONT_DIST) --paths "/stats/*" > /dev/null
