=== debian/changelog ===
emacsql (3.1.1+git20230417.6401226+ds-1) unstable; urgency=medium

  [ Aymeric Agon-Rambosson ]
  * Update to new upstream version 3.1.1+git20230417.6401226+ds : needed
    to repair magit after release of emacs 1:29.1+1-1 (see
    https://github.com/magit/forge/issues/535) (Closes: #1051090).
  * Bump Standards-Version to 4.6.2 (no changes required).
  * d/control : update Homepage.
  * Specify dependencies manually between backends and high-level
    abstractions (discrepancy in version numbering format made backends
    unupgradeable).
  * Add new upstream files to d/elpa-emacsql-sqlite.elpa.
  * d/rules: add binary hardening options.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 13 Sep 2023 09:28:28 +0100
