=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  dh-elpa,
  libsqlite3-dev,
  elpa-pg <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacsql
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacsql.git
-Homepage: https://github.com/skeeto/emacsql
+Homepage: https://github.com/magit/emacsql
 Testsuite: autopkgtest-pkg-elpa
 Rules-Requires-Root: no
 
@@ -28,7 +28,7 @@
 
 Package: elpa-emacsql-sqlite
 Architecture: any
-Depends: ${elpa:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: elpa-emacsql (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Recommends: emacs (>= 46.0)
 Enhances: emacs
 Description: high level SQL database frontend for Emacs (SQLite backend)
@@ -40,7 +40,7 @@
 
 Package: elpa-emacsql-psql
 Architecture: all
-Depends: ${elpa:Depends}, ${misc:Depends}, elpa-pg
+Depends: elpa-emacsql (>= ${source:Version}), ${misc:Depends}, elpa-pg
 Recommends: emacs (>= 46.0)
 Enhances: emacs
 Description: high level SQL database frontend for Emacs (PostgreSQL backend)
@@ -52,7 +52,7 @@
 
 Package: elpa-emacsql-mysql
 Architecture: all
-Depends: ${elpa:Depends}, ${misc:Depends}
+Depends: elpa-emacsql (>= ${source:Version}), ${misc:Depends}
 Recommends: emacs (>= 46.0)
 Enhances: emacs
 Description: high level SQL database frontend for Emacs (MySQL backend)
