## emacsql 4.0.3+ds

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 TEST_ELCS = $(TEST_ELS:.el=.elc)
 
 DEPS  = pg
+DEPS += peg
 DEPS += sqlite3
 
 EMACS      ?= emacs
@@ -28,6 +29,10 @@
 override EMACS_ARGS += --eval "(setq byte-compile-docstring-max-column 120)"
 else
 EMACS_ARGS ?=
+endif
+
+ifdef NIX_PATH
+export SQLITE3_API_BUILD_COMMAND = nix-shell -p sqlite.dev --run "make all"
 endif
 
 LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
@@ -40,6 +45,7 @@
 	$(info make all          - generate binary, byte-code and autoloads)
 	$(info make binary       - generate binary)
 	$(info make lisp         - generate byte-code and autoloads)
+	$(info make redo         - re-generate byte-code and autoloads)
 	$(info make test         - run tests)
 	$(info make clean        - remove byte-code and autoloads)
 	$(info make distclean    - remove binary, byte-code and autoloads)
@@ -49,6 +55,7 @@
 sqlite/emacsql-sqlite:
 	$(MAKE) -C sqlite
 
+redo: clean lisp
 lisp: $(ELCS) loaddefs
 
 loaddefs: $(PKG)-autoloads.el
