=== debian/changelog ===
emacsql (4.0.3+ds-1) unstable; urgency=medium

  * Update to new upstream version 4.0.3+ds.
  * Add explicit DEB_UPSTREAM_VERSION to d/rules.
  * Bump Standards-Version to 4.7.0 (no changes required).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sun, 15 Sep 2024 00:14:35 +0200

emacsql (3.1.1+git20230417.6401226+ds-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 20:00:50 +0900
