=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  dh-elpa,
  libsqlite3-dev,
  elpa-pg <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacsql
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacsql.git
 Homepage: https://github.com/magit/emacsql
