=== debian/rules ===
#!/usr/bin/make -f

export DEB_UPSTREAM_VERSION = 4.0.3
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with elpa
