## emacsql 4.1.0

=== Makefile ===
--- 
+++ 
@@ -4,10 +4,10 @@
 
 ELS   = $(PKG)-compiler.el
 ELS  += $(PKG).el
+ELS  += $(PKG)-sqlite.el
 ELS  += $(PKG)-sqlite-common.el
 ELS  += $(PKG)-sqlite-builtin.el
 ELS  += $(PKG)-sqlite-module.el
-ELS  += $(PKG)-sqlite.el
 ELS  += $(PKG)-mysql.el
 ELS  += $(PKG)-psql.el
 ELS  += $(PKG)-pg.el
@@ -15,7 +15,6 @@
 
 TEST_ELS  = tests/emacsql-compiler-tests.el
 TEST_ELS += tests/emacsql-external-tests.el
-TEST_ELS += tests/emacsql-tests.el
 TEST_ELCS = $(TEST_ELS:.el=.elc)
 
 DEPS  = pg
@@ -39,21 +38,15 @@
 LOAD_PATH  += -L .
 LOAD_PATH  += -L ./tests
 
-all: binary lisp
+all: lisp
 
 help:
-	$(info make all          - generate binary, byte-code and autoloads)
-	$(info make binary       - generate binary)
+	$(info make all          - generate byte-code and autoloads)
 	$(info make lisp         - generate byte-code and autoloads)
 	$(info make redo         - re-generate byte-code and autoloads)
 	$(info make test         - run tests)
 	$(info make clean        - remove byte-code and autoloads)
-	$(info make distclean    - remove binary, byte-code and autoloads)
 	@printf "\n"
-
-binary: sqlite/emacsql-sqlite
-sqlite/emacsql-sqlite:
-	$(MAKE) -C sqlite
 
 redo: clean lisp
 lisp: $(ELCS) loaddefs
@@ -75,9 +68,6 @@
 	@printf " Cleaning...\n"
 	@rm -rf $(CLEAN)
 
-distclean: clean
-	$(MAKE) -C sqlite clean
-
 $(PKG)-autoloads.el: $(ELS)
 	@printf " Creating $@\n"
 	@$(EMACS) -Q --batch -l autoload -l cl-lib --eval "\
@@ -94,11 +84,15 @@
 	2>&1 | sed "/^Package autoload is deprecated$$/d"
 
 test: all $(TEST_ELCS)
-	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
-	-L tests -l tests/emacsql-tests.elc -f ert-run-tests-batch-and-exit
+	@printf "Running compiler tests...\n"
+	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -L tests \
+	-l tests/emacsql-compiler-tests.elc -f ert-run-tests-batch-and-exit
+	@printf "Running connector tests...\n"
+	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -L tests \
+	-l tests/emacsql-external-tests.elc -f ert-run-tests-batch-and-exit
 
 ifeq ($(CI), true)
-override GITSTATS = gitstats/gitstats
+override GITSTATS = ../_gitstats/gitstats
 endif
 GITSTATS      ?= gitstats
 GITSTATS_DIR  ?= stats
