=== debian/changelog ===
emacsql (4.1.0-1) unstable; urgency=medium

  * Update to new upstream version 4.1.0.
  * Drop all patches : the custom connector has been removed by upstream.
  * d/copyright : remove reference to previously removed files.
  * Remove d/elpa-emacsql-sqlite.install : file sqlite/emacsql-sqlite does
    not exist anymore.
  * Remove d/elpa-test : file sqlite/emacsql-sqlite does not exist
    anymore.
  * Remove debian/elpa-emacsql-sqlite.README.Debian : not applicable
    anymore.
  * d/control :
    - remove ${shlibs:Depends} from elpa-emacsql-sqlite dependencies
    - remove libsqlite3-dev from Build-Depends
    - change elpa-emacsql-sqlite arch from any to all (no binaries
      anymore)
  * d/rules : Update DEB_UPSTREAM_VERSION

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 30 Dec 2024 21:50:22 +0100
