=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
 Build-Depends: debhelper-compat (= 13),
  dh-elpa,
- libsqlite3-dev,
  elpa-pg <!nocheck>,
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacsql
@@ -27,8 +26,8 @@
  This package contains the high level abstractions.
 
 Package: elpa-emacsql-sqlite
-Architecture: any
-Depends: elpa-emacsql (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Architecture: all
+Depends: elpa-emacsql (>= ${source:Version}), ${misc:Depends}
 Recommends: emacs (>= 46.0)
 Enhances: emacs
 Description: high level SQL database frontend for Emacs (SQLite backend)
