=== debian/rules ===
#!/usr/bin/make -f

export DEB_UPSTREAM_VERSION = 4.1.0
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with elpa
