## emacsql 4.3.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,6 @@
 ELS   = $(PKG)-compiler.el
 ELS  += $(PKG).el
 ELS  += $(PKG)-sqlite.el
-ELS  += $(PKG)-sqlite-common.el
 ELS  += $(PKG)-sqlite-builtin.el
 ELS  += $(PKG)-sqlite-module.el
 ELS  += $(PKG)-mysql.el
