=== debian/changelog ===
emacsql (4.3.0-1) unstable; urgency=medium

  [ Aymeric Agon-Rambosson ]
  * Update to new upstream version 4.3.0.
  * d/control : Bump Standards-Version to 4.7.2 (no changes required).
  * d/sqlite : Remove emacsql-sqlite-common.el (disappeared).
  * d/rules :
    - Remove hardening options (no more compilation of binaries).
    - Update DEB_UPSTREAM_VERSION.

  [ Xiyue Deng ]
  * d/control : drop oldoldstable emacs version from Recommends

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sat, 05 Apr 2025 13:09:36 +0200
