=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
  dh-elpa,
  elpa-pg <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacsql
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacsql.git
 Homepage: https://github.com/magit/emacsql
@@ -16,7 +16,7 @@
 Package: elpa-emacsql
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: high level SQL database frontend for Emacs (abstractions)
  EmacSQL is a high level Emacs Lisp frontend for SQLite
@@ -28,7 +28,7 @@
 Package: elpa-emacsql-sqlite
 Architecture: all
 Depends: elpa-emacsql (>= ${source:Version}), ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: high level SQL database frontend for Emacs (SQLite backend)
  EmacSQL is a high level Emacs Lisp frontend for SQLite
@@ -40,7 +40,7 @@
 Package: elpa-emacsql-psql
 Architecture: all
 Depends: elpa-emacsql (>= ${source:Version}), ${misc:Depends}, elpa-pg
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: high level SQL database frontend for Emacs (PostgreSQL backend)
  EmacSQL is a high level Emacs Lisp frontend for SQLite
@@ -52,7 +52,7 @@
 Package: elpa-emacsql-mysql
 Architecture: all
 Depends: elpa-emacsql (>= ${source:Version}), ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: high level SQL database frontend for Emacs (MySQL backend)
  EmacSQL is a high level Emacs Lisp frontend for SQLite
