=== debian/rules ===
#!/usr/bin/make -f

export DEB_UPSTREAM_VERSION = 4.3.0

%:
	dh $@ --with elpa
